import { jsx } from "react/jsx-runtime";
import { TokenMAHA as TokenMAHA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMAHA = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "MAHA", "data-name": "TokenMAHA", ...props, children: /* @__PURE__ */ jsx(TokenMAHA$1, { variant }) });
  }
);
TokenMAHA.displayName = "TokenMAHA";
Object.assign(TokenMAHA, { isGdsIcon: true });
export {
  TokenMAHA
};
